
Redmine - Defect #37984

ERROR bad Request-Line on Redmine project

2022-12-01 08:39 - Hemant Patidar

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 4.0.9

Description

Found below mentioned error on cmd-

ERROR bad Request-Line `\x16\x03\x01\x02\x00\x01\x00\x01 \x03\

and currently project run fine but i have clicked on spent time after that showing above error on cmd and project freeze that time

History

#1 - 2022-12-20 12:09 - Holger Just

- Status changed from New to Needs feedback

- Assignee deleted (Jean-Philippe Lang)

Please add some additional details:

What exactly are you trying to do. If you are running commands, please show these commands exactly as you are running them

Please show the full output of the commands

Please describe your environment:

Where you you running the command, what is your operating system, language versions, ...

Against which Redmine installation are you running this? Are you actually using https://www.redmine.org or another self-hosted instance?

#2 - 2023-01-02 19:30 - Holger Just

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

#3 - 2023-01-05 08:20 - Hemant Patidar

- File Redmine bad request error.png added

- Status changed from Closed to Reopened

We are create Redmine org instance.

We have attached Screenshot of the error on the below.

if we are click on spent time my project are freeze on this screen and showing internal error.

#4 - 2023-01-05 16:26 - Holger Just

- Category deleted (Website (redmine.org))

- Resolution deleted (No feedback)

It appears you are performing an HTTPS request against a webserver port which is configured to expect plain HTTP. Likely, this is an error in your

webserver configuration. You have propbably configured your webserver to listen to port 443 without configuring the TLS details there.

Please refer to the documentation of your webserver for how to correctly configure TLS.

#5 - 2023-03-06 11:47 - Holger Just

- Status changed from Reopened to Closed

- Resolution set to Cant reproduce
https://www.redmine.org


This issue is related to the webserver configuration. As common configurations work correctly and no further details were provided, I'm closing this as

"Can't reproduce".
